/* writes the the "MK90.BIN" file to the MK-90 RAM card */

#include <stdio.h>
#include "typedefs.h"
#include "timers.h"
#include "common.h"

#define CARDSTART 0x0000
#define CARDSIZE 0x2800

uchar buf[CARDSIZE];


int main (int argc, char **argv)
{
  FILE *fp;

  printf ("\nSMP Program Tool (c) Piotr Piatek\n");
  
  if (ioperm (PORT_BASE, 3, 1)) { perror ("ioperm"); exit (1); }

  if (argc < 2) { perror ("Usage: program <file>"); exit (1); }
  
  if ((fp = fopen( argv [1], "rb")) == NULL)
  {
    printf ("\nCannot open input file %s\n", argv [1]);
    return 1;
  }

  Init ();
  SendAddr ((uint) CARDSTART);
  while (!feof (fp)) {
	  fread (buf, sizeof (uchar), (size_t) 1, fp);
	  WriteBytes (buf, 1);
  }
  
  (void) fclose (fp);


  return 0;
}
